git-clone: fix local clone

If we let cpio to create the leading directories implicitly,
it ends up having funny perm bits (GNU cpio 2.5 and 2.6, at least).
This leaves .git/object/?? directories readable only by the owner.

Signed-off-by: Junio C Hamano <junkio@cox.net>
diff --git a/git-clone.sh b/git-clone.sh
index c27a913..1adf604 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -126,8 +126,7 @@
 	    fi &&
 	    rm -f "$D/.git/objects/sample" &&
 	    cd "$repo" &&
-	    find objects -type f -print |
-	    cpio -puamd$l "$D/.git/" || exit 1
+	    find objects -depth -print | cpio -puamd$l "$D/.git/" || exit 1
 	    ;;
 	yes)
 	    mkdir -p "$D/.git/objects/info"